# Maintainer: Fabio 'Lolix' Loli <lolix@disroot.org> -> https://github.com/FabioLolix
# Modified by Rafael from azul
# clang added to makedepends in 2022.11.03 (Error: Unable to find libclang. Resolved.)

pkgname=popsicle
pkgver=1.3.1
pkgrel=1.1
commitn=6b49ef35600b134c8b2aeab17466b830fef1aeb0
pkgdesc="Linux utility for flashing multiple USB devices in parallel, written in Rust"
url="https://github.com/pop-os/popsicle"
arch=(x86_64 i686 aarch64 armv7h)
license=(MIT)
depends=(gtk3)
makedepends=(git cargo help2man xorgproto clang)
source=("git+${url}#commit=${commitn}")
sha256sums=('SKIP')

build() {
  cd "${pkgname}"
  make
}

package() { 
  cd "${pkgname}"
  make DESTDIR="${pkgdir}/" prefix=/usr install
  install -D LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
}

